function [B_0n_Coeff_sym, B_1n_Coeff_sym] = B_Coefficients_Analytical(t_j, t_jj, t_nn, alpha)
%This function is not a part of the core software package and is not
%recommended to be used in the FDE solvers. This function is not called in
%any of the methods, but instead can be substituted with the
%'B_Coefficients()' function call to calculate the analytical answer to
%the convolution integral. This function was used in supplemental error 
% analysis only. 

syms tau

L_j_sym  =  (tau - t_jj) / (t_j - t_jj);
L_jj_sym =  (tau - t_j) / (t_jj - t_j);

B_0n_funct_sym = (t_nn-tau)^(alpha-1) * L_j_sym;
B_0n_Coeff_sym = double(int(B_0n_funct_sym,t_j,t_jj));

B_1n_funct_sym = (t_nn-tau)^(alpha-1) * L_jj_sym;
B_1n_Coeff_sym = double(int(B_1n_funct_sym,t_j,t_jj));

end